$1 View [dbo].[AnaGrup_Ciro]
as
SELECT TOP(8)
		ISNULL(san_isim,'Tanımsız Grup') as [Anagrup],
		ISNULL(san_isim,'Tanımsız Grup') as [Anagrup2],
		(SUM(CASE WHEN evr_belge_tur in (1,2) THEN evr_yekun ELSE 0 END))-(SUM(CASE WHEN evr_belge_tur in (3) THEN evr_yekun ELSE 0 END)) as [Tutar]
FROM
		EVRAK_HAREKET_BILGI  WITH(NOLOCK)
LEFT OUTER JOIN STOKLAR  WITH(NOLOCK) on sto_kod = har_stok_kodu
LEFT OUTER JOIN STOK_ANAGRUPLARI  WITH(NOLOCK) on sto_ana_grup_kodu = san_kodu
LEFT OUTER JOIN EVRAK_UST_BILGI  WITH(NOLOCK) on har_evrak_rec_id = evr_RECno 
WHERE
	evr_belge_tur in (1,2,3) and har_Satir_tip=0
group by 
		san_isim
order by Tutar desc